Package org.h2.schema

# Class InformationSchema

java.lang.Object
org.h2.engine.DbObject
org.h2.schema.Schema
org.h2.schema.MetaSchema
org.h2.schema.InformationSchema

All Implemented Interfaces:
  `HasSQL`

public final class InformationSchema extends MetaSchema
Information schema.

## Field Summary

### Fields inherited from class org.h2.engine.DbObject

`AGGREGATE, comment, COMMENT, CONSTANT, CONSTRAINT, database, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, trace, TRIGGER, USER`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Constructor Summary

Constructors
Constructor
Description
`InformationSchema(Database database, User owner)`
Creates new instance of information schema.

## Method Summary

Modifier and Type
Method
Description
`protected Map<String,Table>`
`getMap(SessionLocal session)`
Returns map of tables in this schema.

### Methods inherited from class org.h2.schema.MetaSchema

`findTableOrView, getAllTablesAndViews, getTableOrView, getTableOrViewByName, isEmpty`

### Methods inherited from class org.h2.schema.Schema

`add, canDrop, createSynonym, createTable, createTableLink, findAggregate, findConstant, findConstraint, findDomain, findFunction, findFunctionOrAggregate, findIndex, findSequence, findTrigger, freeUniqueName, getAll, getAll, getAllConstants, getAllConstraints, getAllDomains, getAllFunctionsAndAggregates, getAllIndexes, getAllSequences, getAllSynonyms, getAllTriggers, getChildren, getConstant, getConstraint, getCreateSQL, getDomain, getIndex, getOwner, getSequence, getSynonym, getTableEngineParams, getType, getUniqueConstraintName, getUniqueDomainConstraintName, getUniqueIndexName, remove, removeChildrenAndResources, rename, reserveUniqueName, resolveTableOrView, resolveTableOrView, setTableEngineParams`

### Methods inherited from class org.h2.engine.DbObject

`checkRename, equals, getComment, getCreateSQLForCopy, getCreateSQLForMeta, getDatabase, getDropSQL, getId, getModificationId, getName, getSQL, getSQL, hashCode, invalidate, isTemporary, isValid, rename, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

## Constructor Details

### InformationSchema

public InformationSchema(Database database, User owner)
Creates new instance of information schema.

Parameters:
  `database` - the database
  `owner` - the owner of the schema (system user)

## Method Details

### getMap

protected Map<String,Table> getMap(SessionLocal session)
Description copied from class: `MetaSchema`
Returns map of tables in this schema.

Specified by:
  `getMap` in class `MetaSchema`
Parameters:
  `session` - the session
Returns:
  map of tables in this schema